/***************************************************************************
                          cwininfotab.h  -  description
                             -------------------
    begin                : Mit Sep 24 2003
    copyright            : (C) 2003 by Olaf Gawenda
    email                : o.gawenda@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CWININFOTAB_H
#define CWININFOTAB_H

#include <qwidget.h>
#include <cwintab.h>
#include "ksqlshelldoc.h"

/**
  *@author Olaf Gawenda
  */

class CwinInfoTab : public CwinTab  {
   Q_OBJECT
public: 
	CwinInfoTab(KSqlShellDoc *document, const QString & conStr, const QString & label, QWidget *parent=0, const char *name=0);
	~CwinInfoTab();

private:
  void delTab();
  QString makeHeader();
  KSqlShellDoc * doc;
  QString con;
};

#endif
