/***************************************************************************
                          cwintabletab.h  -  description
                             -------------------
    begin                : Don Jun 19 2003
    copyright            : (C) 2003 by Olaf Gawenda
    email                : o.gawenda@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CWINTABLETAB_H
#define CWINTABLETAB_H

#include <qwidget.h>
#include <qtable.h>
#include <qpushbutton.h>
#include "cwintab.h"
#include "sqltable.h"
#include "ksqlshelldoc.h"
/**
  *@author Olaf Gawenda
  */

class CwinTableTab : public CwinTab  {
   Q_OBJECT
public: 
	CwinTableTab(KSqlShellDoc *document, SqlTable & sqlTable, const QString & label, QWidget *parent=0, const char *name=0);
	~CwinTableTab();
  

private:
  QPixmap updPix;
  SqlTable tab;
  QTable * table;
  QPushButton *updButton;
  KSqlShellDoc *doc;
  void showColumns();
  void delTab();
  QString makeHeaderText();
  int rows, cols;
private slots:
  void slotRefresh();
};

#endif
