/***************************************************************************
                          fielddlg.h  -  description
                             -------------------
    begin                : Mit Jul 16 2003
    copyright            : (C) 2003 by Olaf Gawenda
    email                : o.gawenda@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef FIELDDLG_H
#define FIELDDLG_H

#include <qwidget.h>
#include <kdialogbase.h>
#include <qlayout.h>
#include <qvgroupbox.h>
#include "table.h"
#include "ksqlshelldoc.h"
#include "sqltable.h"

/**
  *@author Olaf Gawenda
  */

class FieldDlg : public KDialogBase  {
   Q_OBJECT
public: 
	FieldDlg(KSqlShellDoc *document, SqlTable & sqlTab, QWidget *parent=0, const char *name=0);
	~FieldDlg();

private:
  KSqlShellDoc *doc;
  SqlTable sqlTable;
  SqlTable::TableAction action;
  QWidget *page;
  QVBoxLayout * vLayout;
  QVGroupBox *vGroupBox;
  Table * table;
  SqlTypes sqlTypes;
  ClQueue::DbType dbType;
  QStringList splitType(const QString & typeStr);
  int newFieldIdx;
private slots:
  void slotValueChanged(int row, int col);
  void slotOk();
};

#endif
