/***************************************************************************
                          mytabdlg.h  -  description
                             -------------------
    begin                : Mon Apr 7 2003
    copyright            : (C) 2003 by Olaf Gawenda
    email                : o.gawenda@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MYTABDLG_H
#define MYTABDLG_H

#include <tabdlg.h>

/**
  *@author Olaf Gawenda
  */

class MyTabDlg : public TabDlg  {

public: 
	MyTabDlg(QWidget *parent, const QString & caption, KSqlShellDoc * document, const QString & conStr, const QString & database);
	~MyTabDlg();
private:
  void addCol(int pos);
  void valueChanged(int row, int col);
  void ok(SqlTable & sqlTable);
};

#endif
