/***************************************************************************
                          pgtabdlg.h  -  description
                             -------------------
    begin                : Mon Apr 7 2003
    copyright            : (C) 2003 by Olaf Gawenda
    email                : o.gawenda@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PGTABDLG_H
#define PGTABDLG_H

#include <tabdlg.h>
#include <qlistbox.h>
#include <qvbuttongroup.h>
#include <qradiobutton.h>
#include <qvgroupbox.h>

/**
  *@author Olaf Gawenda
  */

class PgTabDlg : public TabDlg  {
public: 
	PgTabDlg(QWidget *parent, const QString & caption, KSqlShellDoc * document, const QString & conStr, const QString & database);
	~PgTabDlg();
private:
  QVGroupBox *vGroupBox1,  * vGroupBox2, *vGroupBox3;
  QRadioButton * withOIds;
  QLineEdit * check;
  QListBox *inheritsBox;
  void addCol(int pos);
  void valueChanged(int row, int col);
  void ok(SqlTable & sqlTable);
};

#endif
