/***************************************************************************
                          shelldata.cpp  -  description
                             -------------------
    begin                : Mon Mai 19 2003
    copyright            : (C) 2003 by Olaf Gawenda
    email                : o.gawenda@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "shelldatas.h"

ShellDatas::ShellDatas(){
}

ShellDatas::~ShellDatas(){
  
}
void ShellDatas::removeData(const QString & conStr, const QString &dbStr){
  
  if(dbStr != "")
    shellDataMap.remove(conStr);
  else if(shellDataMap.contains(conStr))
    shellDataMap[conStr].remove(dbStr);
    
}
void ShellDatas::newData(const QString & conStr, const QString & dbStr){
  QString *histStr = new QString("");
  ShellData sd;
  sd.con = conStr;
  sd.db = dbStr;
  sd.prompt = conStr + " " + dbStr + " > ";
  sd.promptLen = sd.prompt.length();
  sd.text = "";
  sd.lastCmdPara = 0;
  sd.para = 0;
  sd.pos = 0;
  sd.histIndex = 0;
  sd.history.prepend(histStr);
  shellDataMap[conStr][dbStr] =  sd;
}
bool ShellDatas::contains(const QString & conStr, const QString & dbStr){
  if(shellDataMap.contains(conStr))
    if(shellDataMap[conStr].contains(dbStr))
      return true;

  return false;
}
ShellDatas::ShellData * ShellDatas::getShellData(const QString & conStr, const QString & dbStr){
  if(contains(conStr, dbStr))
    return &shellDataMap[conStr][dbStr];
  return 0;
}
void ShellDatas::test(){
 
  
    QMap<QString, QMap<QString, ShellData> >::iterator it;
    QMap<QString, ShellData>::iterator it2;

    it = shellDataMap.begin();
    for(; it != shellDataMap.end(); ++it){
      it2 = it.data().begin();
      for(; it2 != it.data().end(); ++it2){
        qDebug("test: %s, %s, %s", it.key().latin1(), it2.key().latin1(), it2.data().text.latin1());
        
      }
    }

}
