/***************************************************************************
                          cwininfotab.cpp  -  description
                             -------------------
    begin                : Mit Sep 24 2003
    copyright            : (C) 2003 by Olaf Gawenda
    email                : o.gawenda@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include <klocale.h>
#include "cwininfotab.h"

CwinInfoTab::CwinInfoTab(KSqlShellDoc *document, const QString & conStr, const QString & label, QWidget *parent, const char *name ) : CwinTab(label, parent,name) {
  delete page;
  doc = document;
  con = conStr;
  
  labelText->setText(makeHeader());
}
CwinInfoTab::~CwinInfoTab(){
}
QString CwinInfoTab::makeHeader(){
  QString h;
  h += con + "<br><br>";
  h += "<b>" + i18n("Type") + ":    </b>" +  doc->clQueueMap[con]->getTypeStr() + "<br>";
  h += "<b>" + i18n("Version") + ":    </b>" +  doc->clQueueMap[con]->getVersionStr() + "<br>";
  h += "<b>" + i18n("Host") + ":    </b>" + doc->clQueueMap[con]->getHost() + "<br>";
  QString port = doc->clQueueMap[con]->getPort();
  if(port == "0")
    port = "";
  h += "<b>" + i18n("Port") + ":    </b>" +  port + "<br>";
  h += "<b>" + i18n("User") + ":    </b>" + doc->clQueueMap[con]->getUser() + "<br>";
  h += "<b>" + i18n("Default database") + ":    </b>" + doc->clQueueMap[con]->getDefDb() + "<br>";
  return h;
}
void CwinInfoTab::delTab(){
}