/***************************************************************************
                          cwinsqlouttab.h  -  description
                             -------------------
    begin                : Don Mai 8 2003
    copyright            : (C) 2003 by Olaf Gawenda
    email                : o.gawenda@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CWINSQLOUTTAB_H
#define CWINSQLOUTTAB_H

#include <qwidget.h>
#include <cwintab.h>
#include <qpopupmenu.h>
#include "ksqlshelldoc.h"
/**
  *@author Olaf Gawenda
  */

class CwinSqlOutTab : public CwinTab  {
   Q_OBJECT
public: 
	CwinSqlOutTab(KSqlShellDoc *document, SqlClient *sqlClient, Result *result, const QString & label, QWidget *parent, const char *name=0);
	~CwinSqlOutTab();
     
protected:
    void delTab(); 
    KSqlShellDoc *doc;
    SqlClient *sqlCl;
    Result *res;
    QString refreshQuery;
    QPixmap reloadPix, editPix;
    QPushButton *reloadButton, *editButton;
    QueryInput tabQueryInput;
protected slots:
    void slotReload();
    void slotEdit();
};

#endif
