/***************************************************************************
                          editquerydlg.h  -  description
                             -------------------
    begin                : Die Jul 29 2003
    copyright            : (C) 2003 by Olaf Gawenda
    email                : o.gawenda@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef EDITQUERYDLG_H
#define EDITQUERYDLG_H

#include <qwidget.h>
#include <kdialogbase.h>
#include <qlayout.h>
#include <qtextedit.h>
#include <qvgroupbox.h>
#include "ksqlshelldoc.h"
/**
  *@author Olaf Gawenda
  */

class EditQueryDlg : public KDialogBase  {
   Q_OBJECT
public: 
	EditQueryDlg(KSqlShellDoc *document, QueryInput qi, Result * result, const QString & defQuery, QWidget *parent=0, const char *name=0);
	~EditQueryDlg();
protected:
    KSqlShellDoc *doc;
    QWidget *page;
    QVBoxLayout * layout;
    QVGroupBox * groupBox;
    QTextEdit *edit;
    QueryInput oldInput;
    
protected slots:
    void slotOk();
};

#endif
