/***************************************************************************
                          navilist.h  -  description
                             -------------------
    begin                : Die Mr 4 2003
    copyright            : (C) 2003 by Olaf Gawenda
    email                : o.gawenda@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef NAVILIST_H
#define NAVILIST_H

#include <qwidget.h>
#include <qlayout.h>
#include <qlistview.h>
#include <qpixmap.h>
#include <qmap.h>
#include <qpoint.h>
#include <kaction.h>
#include <qmap.h>
//#include <klistview.h>
#include "clqueue.h"
#include "referencemap.h"
#include <qtooltip.h>
/**
  *@author Olaf Gawenda
  */

class NaviList : public QListView  {
   Q_OBJECT
public: 
	NaviList(QWidget *parent=0, const char *name=0);
	~NaviList();

    void addConnect(ClQueue::DbType dbType, const QString & conStr);
    void delConnect(const QString & conStr);

    QString getCon(QListViewItem *item, int depth);
    
    QListViewItem * findNaviItem(const QString & conStr, const QString & dbStr = "", const QString & tabStr = "", const QString & fieldStr  = "");
    
private:
    QListViewItem *renameItem;
public slots:
    void slotUpdateList();
    void slotRenameListItem();
    void slotItemRenameEnd();
    void slotOnItem(QListViewItem *item);
signals:
    void signalDbChanged(const QString & conStr, const QString & dbStr);    
};

#endif
