/***************************************************************************
                          newdbdlg.h  -  description
                             -------------------
    begin                : Mon Mr 31 2003
    copyright            : (C) 2003 by Olaf Gawenda
    email                : o.gawenda@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef NEWDBDLG_H
#define NEWDBDLG_H

#include <kdialogbase.h>
#include <qlayout.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qstring.h>
#include "ksqlshelldoc.h"

class QLabel;
class QLineEdit;
/**
  *@author Olaf Gawenda
  */

class NewDbDlg : public KDialogBase  {
public:
	NewDbDlg(QWidget * parent, const QString & caption, KSqlShellDoc *document, const QString & conStr);
	~NewDbDlg();
protected:
    QWidget *page;
    QVBoxLayout * layout;
    KSqlShellDoc * doc;
    QLabel * label;
    QLineEdit * dbName;
    QString con;

protected slots:
    virtual void slotOk();
};

#endif
