/***************************************************************************
                          renametabdlg.h  -  description
                             -------------------
    begin                : Mon Jul 28 2003
    copyright            : (C) 2003 by Olaf Gawenda
    email                : o.gawenda@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef RENAMETABDLG_H
#define RENAMETABDLG_H

#include <qwidget.h>
#include <kdialogbase.h>
#include <qlineedit.h>
#include <qlayout.h>
#include "centralwin.h"

/**
  *@author Olaf Gawenda
  */

class RenameTabDlg : public KDialogBase  {
   Q_OBJECT
public: 
	RenameTabDlg(QWidget *parent=0, const char *name=0);
	~RenameTabDlg();
private:
   QWidget *page;
   QVBoxLayout * layout;
   QLineEdit * labelEdit;
   CentralWin *cWin;
private slots:
    virtual void slotOk();
};

#endif
