/***************************************************************************
                          savequerydlg.h  -  description
                             -------------------
    begin                : Die Mai 27 2003
    copyright            : (C) 2003 by Olaf Gawenda
    email                : o.gawenda@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SAVEQUERYDLG_H
#define SAVEQUERYDLG_H

#include <qwidget.h>
#include <kdialogbase.h>
#include "ksqlshelldoc.h"
#include <qlayout.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qtextedit.h>
#include <qvgroupbox.h>
#include <kconfig.h>

/**
  *@author Olaf Gawenda
  */

class SaveQueryDlg : public KDialogBase  {
   Q_OBJECT
public: 
	SaveQueryDlg(QWidget *parent, const char *name,KSqlShellDoc *document, QueryInput *qi);
	~SaveQueryDlg();
private:
    KSqlShellDoc *doc;
    QueryInput * queryInput;
    QWidget *page;
    QHBoxLayout * layout;
    QVBoxLayout * vLayout;
    QVGroupBox *vGroupBox, *vGroupBox2, *vGroupBox3;
    QLabel *label, *queryT;
    QLineEdit * queryName;
    QTextEdit * queryDisp;
    QTextEdit * queryText;
    
 protected slots:
    virtual void slotOk();
};

#endif
