/***************************************************************************
                          setupdlg.h  -  description
                             -------------------
    begin                : Don Jun 12 2003
    copyright            : (C) 2003 by Olaf Gawenda
    email                : o.gawenda@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SETUPDLG_H
#define SETUPDLG_H

#include <qwidget.h>
#include <kdialogbase.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qvgroupbox.h>
#include <qhgroupbox.h>
#include <qpushbutton.h>
#include <qlineedit.h>
#include <kconfig.h>
#include "ksqlshelldoc.h"

/**
  *@author Olaf Gawenda
  */

class SetupDlg : public KDialogBase  {
   Q_OBJECT
public: 
	SetupDlg(KSqlShellDoc *document, QWidget *parent=0, const char *name=0);
	~SetupDlg();
private:
  QWidget *page;
  QVBoxLayout * vLayout;
  QVGroupBox *vGroupBox, *vGroupBox2;
  QHGroupBox *hGroupBox;
  QSpinBox * refresh, *maxRows;
  QPushButton *search;
  QLineEdit * file;
  KConfig *config;
  KSqlShellDoc *doc;
private slots:
  void slotSearchFile();
  void slotOk();
};

#endif
