/***************************************************************************
                          table.cpp  -  description
                             -------------------
    begin                : Mon Sep 22 2003
    copyright            : (C) 2003 by Olaf Gawenda
    email                : o.gawenda@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "table.h"

Table::Table(QWidget *parent, const char *name ) : QTable(parent,name) {
}
Table::Table(int rows, int cols, QWidget *parent, const char *name) : QTable(rows, cols, parent, name){
}
Table::~Table(){
}

void Table::editEnd(){
  int row =  currEditRow();
  int col = currEditCol();
  if(row != -1 && col != -1)
    endEdit(row, col, true, false);
}